use 5.005;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

#
# $Id: Makefile.PL,v 2.3 2004/11/23 06:30:27 matt Exp $
#

$|++;

sub MY::postamble { 
q|

HTML  = doc/html
MR    = Mysql::Replication
SITE  = /Users/matt/Sites/www.tnpi.biz/internet/sql/mrm

docs:
	pod2text mysql_replicate_manager.pl  > README
	pod2text doc/FAQ.pod                 > FAQ
	pod2text doc/Changes.pod             > Changes

	pod2html --title="Mysql::Replication README"  mysql_replicate_manager.pl > $(HTML)/README.html
	pod2html --title="Mysql::Replication FAQ"     doc/FAQ.pod     > $(HTML)/FAQ.html
	pod2html --title="Mysql::Replication Changes" doc/Changes.pod > $(HTML)/Changes.html

	pod2html --title="$(MR)"          lib/Mysql/Replication.pm          > $(HTML)/Replication.html
	pod2html --title="$(MR)::Mysql"   lib/Mysql/Replication/Mysql.pm    > $(HTML)/Mysql.html
	pod2html --title="$(MR)::Perl"    lib/Mysql/Replication/Perl.pm     > $(HTML)/Perl.html
	pod2html --title="$(MR)::Utility" lib/Mysql/Replication/Utility.pm  > $(HTML)/Utility.html

	rm pod2htm*

web:
	pod2html --title="Mysql::Replication README"  mysql_replicate_manager.pl > $(HTML)/README.html
	pod2html --title="Mysql::Replication FAQ"     doc/FAQ.pod     > $(HTML)/FAQ.html
	pod2html --title="Mysql::Replication Changes" doc/Changes.pod > $(HTML)/Changes.html

	pod2html --title="$(MR)"          lib/Mysql/Replication.pm          > $(SITE)/modules/Replication.html
	pod2html --title="$(MR)::Mysql"   lib/Mysql/Replication/Mysql.pm    > $(SITE)/modules/Mysql.html
	pod2html --title="$(MR)::Perl"    lib/Mysql/Replication/Perl.pm     > $(SITE)/modules/Perl.html
	pod2html --title="$(MR)::Utility" lib/Mysql/Replication/Utility.pm  > $(SITE)/modules/Utility.html

	rm pod2htm*

	cp $(HTML)/FAQ.html                     $(SITE)/FAQ.html
	cp $(HTML)/Changes.html                 $(SITE)/Changes.html
	cp $(HTML)/README.html                  $(SITE)/README.html
	cp mysql_replicate_manager.pl           $(SITE)/
	cp Mysql-Replication-$(VERSION).tar.gz  $(SITE)/src/
	mv Mysql-Replication-$(VERSION).tar.gz  $(SITE)/Mysql-Replication.tar.gz

|;

}

WriteMakefile(
	'NAME'	        => 'Mysql-Replication',
	'VERSION_FROM'  => 'lib/Mysql/Replication.pm', # finds $VERSION
	'EXE_FILES'     => [ 'mysql_replicate_manager.pl' ],
	'INSTALLSCRIPT' => '/usr/local/sbin',
	'PREREQ_PM'     => { 'DBI' => 1, 'DBD::mysql' => 1 }, # e.g., Module::Name => 1.1
	'AUTHOR'        => 'Matt Simerson <matt@tnpi.biz>',
	'ABSTRACT'      => 'Utility for managing clusters of replicated mysql servers',

#	($] >= 5.005 ?     ## Add these new keywords supported since 5.005
#	  ( ABSTRACT_FROM  => '',   # retrieve abstract from module
);

